QT       += core gui concurrent

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

INCLUDEPATH += ../Lib

SOURCES += \
    ../Lib/infodialog.cpp \
    ../Lib/showfile.cpp \
    configdialog.cpp \
    main.cpp \
    CompSynt.cpp

HEADERS += \
    ../Lib/infodialog.h \
    ../Lib/showfile.h \
    CompSynt.h \
    configdialog.h

FORMS += \
    ../Lib/infodialog.ui \
    ../Lib/showfile.ui \
    CompSynt.ui \
    configdialog.ui

TRANSLATIONS += \
    CompSynt_de_DE.ts
CONFIG += lrelease
CONFIG += embed_translations

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    resource.qrc

RC_ICONS = resource/CompSynt.ico

DISTFILES += \
    COPYING.LESSER \
    resource/CompSynt.ico \
    resource/Icon1b.ico \
    resource/Icon1s.ico \
    resource/Icon2b.ico \
    resource/Icon2s.ico \
    resource/Icon_128.png \
    resource/Icon_16.ico \
    resource/Icon_16.png \
    resource/Icon_24.png \
    resource/Icon_256.png \
    resource/Icon_32.png \
    resource/Icon_48.png \
    resource/Icon_64.png \
    resource/cnspp.ico \
    resource/cnss.ico \
    resource/cnsss1.ico \
    resource/cnsss2.ico \
    resource/cpp.ico \
    resource/cppp.ico \
    resource/cs.ico \
    resource/cspp.ico \
    resource/css.ico \
    resource/cssp.ico \
    resource/csss.ico \
    resource/empty.ico \
    resource/rnpps.ico \
    resource/rnspp.ico \
    resource/rnss.ico \
    resource/rnsss1.ico \
    resource/rnsss2.ico \
    resource/rpp.ico \
    resource/rppp.ico \
    resource/rs.ico \
    resource/rspp.ico \
    resource/rss.ico \
    resource/rssp.ico \
    resource/rsss.ico
